function init(hero) {
    hero.setName("Captain America/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("FATWS - John Walker");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:captain_americas_shield");
    hero.addEquipment("fiskheroes:rip_hunters_gun");

    hero.addPowers("uhp:super_soldier_serum_3", "fiskheroes:shield_throwing");
	
    hero.addAttribute("FALL_RESISTANCE", 7.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.0, 0);	
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);

    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("SHIELD_THROW", "key.shieldThrow", 1);
   
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_SHIELD" || permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}